//
//  TSMirrorModel.swift
//  Girly
//
//  Created by 100Years on 2025/1/8.
//


import ObjectMapper

let kMirrorShared = TSMirrorData.shared
class TSMirrorData{
    
    static var shared = TSMirrorData()
    var shapes:[TSMirrorItemModel] = [TSMirrorItemModel]()
    
    init() {
        if let shapes = Mapper<TSMirrorItemModel>().mapArray(JSONfile: "MirrorShape.json"){
            self.shapes = shapes
        }
    }
}

class TSMirrorItemModel:TSBaseModel {
    var vip:Bool = false
    var shape:String = ""
    var shapeEntity :String = ""
    override func mapping(map: ObjectMapper.Map) {
        vip <- map["vip"]
        shape <- map["shape"]
        shapeEntity <- map["shapeEntity"]
    }
}
